# Customer

## GET /partners/customer

> Get a customer by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/customer":{"get":{"operationId":"PartnersCustomerController_getCustomer","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the customer to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The customer has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomer"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Customer not found."}},"summary":"Get a customer by ID","tags":["Customer"]}}},"components":{"schemas":{"PartnerCustomer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"description":{"type":"string","nullable":true,"description":"Customer description","default":null},"company":{"type":"string","nullable":true,"description":"Customer company name","default":null},"firstName":{"type":"string","nullable":true,"description":"Customer first name","default":null},"lastName":{"type":"string","nullable":true,"description":"Customer last name","default":null},"displayName":{"type":"string","nullable":true,"description":"Customer display name\nThis is usually a concatenation of first name and last name","default":null},"language":{"nullable":true,"description":"Language preference of the customer","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"phoneNumber":{"type":"string","nullable":true,"description":"Phone number of the customer","default":null},"email":{"type":"string","nullable":true,"description":"Email address of the customer","default":null},"emailBounced":{"type":"boolean","description":"Indicates if the customer's email has bounced"},"civility":{"type":"string","nullable":true,"description":"Civility of the customer (e.g., Mr., Ms., etc.)","default":null},"tags":{"description":"A list of tags associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerTag"}},"emailOptin":{"type":"boolean","description":"Indicates if the customer has opted in for email communications"},"smsOptin":{"type":"boolean","description":"Indicates if the customer has opted in for SMS communications"},"zenchefId":{"type":"string","nullable":true,"description":"ID of the customer in Zenchef system","default":null},"ubereatsId":{"type":"string","nullable":true,"description":"ID of the customer in UberEats system","default":null},"deliverooId":{"type":"string","nullable":true,"description":"ID of the customer in Deliveroo system","default":null},"zeltyId":{"type":"string","nullable":true,"description":"ID of the customer in Zelty system","default":null},"sevenroomsId":{"type":"string","nullable":true,"description":"ID of the customer in Sevenrooms system","default":null},"metaId":{"type":"string","nullable":true,"description":"ID of the customer in Meta system (Facebook/Instagram)","default":null},"mewsId":{"type":"string","nullable":true,"description":"ID of the customer in Mews system","default":null},"oracleId":{"type":"string","nullable":true,"description":"ID of the customer in Oracle system","default":null},"partoucheId":{"type":"string","nullable":true,"description":"ID of the customer in Partouche system","default":null},"comoId":{"type":"string","nullable":true,"description":"ID of the customer in Como system","default":null},"theForkId":{"type":"string","nullable":true,"description":"ID of the customer in TheFork system","default":null},"chr365Id":{"type":"string","nullable":true,"description":"ID of the customer in Chr365 system","default":null},"type":{"nullable":true,"description":"Type of the customer (e.g., Individual, Company, etc.)","default":null,"enum":["Unknown","Purchaser","Reviewer","Both"],"type":"string"},"feedbackCount":{"type":"number","description":"Number of feedbacks provided by the customer"},"purchaseCount":{"type":"number","description":"Number of purchases made by the customer"},"averageFeedbackRating":{"type":"string","nullable":true,"description":"Average feedback rating given by the customer","default":null},"dataSources":{"description":"Data sources associated with the customer","type":"array","items":{"$ref":"#/components/schemas/DataSource"}},"metadata":{"description":"Metadata associated with the customer","allOf":[{"$ref":"#/components/schemas/CustomerMetadatasEmbeddable"}]},"attributes":{"description":"Custom attribute values associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerCustomAttributeValue"}}},"required":["id","createdAt","updatedAt","description","company","firstName","lastName","displayName","phoneNumber","email","emailBounced","civility","tags","emailOptin","smsOptin","zenchefId","ubereatsId","deliverooId","zeltyId","sevenroomsId","metaId","mewsId","oracleId","partoucheId","comoId","theForkId","chr365Id","type","feedbackCount","purchaseCount","averageFeedbackRating","dataSources","metadata","attributes"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerCustomerTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Facebook","Google","Import","Instagram","Juxta","Mews","Oracle","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","Chr365","Expedia"],"description":"Data sources associated with the customer"},"CustomerMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business customer metadatas","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessCustomerMetadatasEmbeddable"}]},"zelty":{"nullable":true,"description":"Zelty customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZeltyCustomerMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"juxta":{"nullable":true,"description":"Juxta customer metadatas.","allOf":[{"$ref":"#/components/schemas/JuxtaCustomerMetadatasEmbeddable"}]},"salesforce":{"nullable":true,"description":"Salesforce customer metadatas.","allOf":[{"$ref":"#/components/schemas/SalesforceCustomerMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"description":"Deliveroo customer metadatas.","allOf":[{"$ref":"#/components/schemas/DeliverooCustomerMetadatasEmbeddable"}]},"tripadvisor":{"nullable":true,"description":"TripAdvisor customer metadatas.","allOf":[{"$ref":"#/components/schemas/TripAdvisorCustomerMetadatasEmbeddable"}]},"booking":{"nullable":true,"description":"Booking customer metadatas.","allOf":[{"$ref":"#/components/schemas/BookingCustomerMetadatasEmbeddable"}]},"ubereats":{"nullable":true,"description":"UberEats customer metadatas","allOf":[{"$ref":"#/components/schemas/UbereatsCustomerMetadatasEmbeddable"}]},"sevenrooms":{"nullable":true,"description":"Sevenrooms customer metadatas.","allOf":[{"$ref":"#/components/schemas/SevenroomsCustomerMetadatasEmbeddable"}]},"facebook":{"nullable":true,"description":"Facebook customer metadatas.","allOf":[{"$ref":"#/components/schemas/FacebookCustomerMetadatasEmbeddable"}]},"instagram":{"nullable":true,"description":"Instagram customer metadatas.","allOf":[{"$ref":"#/components/schemas/InstagramCustomerMetadatasEmbeddable"}]},"whatsapp":{"nullable":true,"description":"WhatsApp customer metadatas.","allOf":[{"$ref":"#/components/schemas/WhatsAppCustomerMetadatasEmbeddable"}]},"mews":{"nullable":true,"description":"Mews customer metadatas.","allOf":[{"$ref":"#/components/schemas/MewsCustomerMetadatasEmbeddable"}]},"oracle":{"nullable":true,"description":"Oracle customer metadatas.","allOf":[{"$ref":"#/components/schemas/OracleCustomerMetadatasEmbeddable"}]},"partouche":{"nullable":true,"description":"Partouche customer metadatas.","allOf":[{"$ref":"#/components/schemas/PartoucheCustomerMetadatasEmbeddable"}]},"como":{"nullable":true,"description":"Como customer metadatas.","allOf":[{"$ref":"#/components/schemas/ComoCustomerMetadatasEmbeddable"}]},"experience":{"nullable":true,"description":"Experience customer metadatas.","allOf":[{"$ref":"#/components/schemas/ExperienceCustomerMetadatasEmbeddable"}]},"autoGestion":{"nullable":true,"description":"AutoGestion customer metadatas.","allOf":[{"$ref":"#/components/schemas/AutoGestionCustomerMetadatasEmbeddable"}]},"theFork":{"nullable":true,"description":"TheFork customer metadatas.","allOf":[{"$ref":"#/components/schemas/TheForkCustomerMetadatasEmbeddable"}]},"import":{"type":"object","nullable":true,"description":"Custom import data"},"chr365":{"nullable":true,"description":"Chr365 customer metadatas.","allOf":[{"$ref":"#/components/schemas/Chr365CustomerMetadatasEmbeddable"}]},"expedia":{"nullable":true,"description":"Expedia customer metadatas.","allOf":[{"$ref":"#/components/schemas/ExpediaCustomerMetadatasEmbeddable"}]}}},"GoogleMyBusinessCustomerMetadatasEmbeddable":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"profilePhotoUrl":{"type":"string","nullable":true},"isAnonymous":{"type":"boolean","nullable":true}},"required":["displayName","profilePhotoUrl","isAnonymous"]},"ZeltyCustomerMetadatasEmbeddable":{"type":"object","properties":{"metadata":{"type":"object","nullable":true},"id":{"type":"number","nullable":true},"uuid":{"type":"string","nullable":true},"remote_id":{"type":"string","nullable":true},"nice_name":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"fname":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"card":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"phone2":{"type":"string","nullable":true},"mail":{"type":"string","nullable":true},"birthday":{"type":"string","nullable":true},"balance":{"type":"number","nullable":true},"personal_info":{"type":"string","nullable":true},"loyalty":{"type":"number","nullable":true},"registration":{"type":"string","nullable":true},"default_address":{"type":"number","nullable":true},"billing_address":{"type":"number","nullable":true},"sms_optin":{"type":"boolean","nullable":true},"mail_optin":{"type":"boolean","nullable":true},"turnover":{"type":"number","nullable":true},"nb_orders":{"type":"number","nullable":true},"last_order_date":{"type":"string","nullable":true},"other":{"type":"string","nullable":true},"addresses":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZeltyAddressEmbeddable"}},"country_code":{"type":"string","nullable":true}},"required":["metadata","id","uuid","remote_id","nice_name","updated_at","name","fname","company","card","phone","phone2","mail","birthday","balance","personal_info","loyalty","registration","default_address","billing_address","sms_optin","mail_optin","turnover","nb_orders","last_order_date","other","addresses","country_code"]},"ZeltyAddressEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"remote_id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"street":{"type":"string","nullable":true},"street_num":{"type":"string","nullable":true},"zip_code":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"formatted_address":{"type":"string","nullable":true},"google_id":{"type":"string","nullable":true},"location":{"nullable":true,"type":"array","items":{"type":"number"}},"address_more":{"type":"string","nullable":true},"floor":{"type":"string","nullable":true},"door":{"type":"string","nullable":true},"building":{"type":"string","nullable":true},"code":{"type":"string","nullable":true}},"required":["id","remote_id","name","street","street_num","zip_code","city","formatted_address","google_id","location","address_more","floor","door","building","code"]},"ZenchefCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true},"owner_id":{"type":"number","nullable":true},"restaurantid":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"retention_rate_label":{"type":"string","nullable":true},"retention_rate":{"type":"number","nullable":true},"company":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"account_id":{"type":"number","nullable":true},"customer_social_id":{"type":"string","nullable":true},"customer_company_id":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"civility":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"professional_email":{"type":"string","nullable":true},"professional_phone":{"type":"string","nullable":true},"birthdate":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"membershipnum":{"type":"string","nullable":true},"vip":{"type":"number","nullable":true},"has_no_show":{"type":"number","nullable":true},"is_new":{"type":"number","nullable":true},"is_blacklisted":{"type":"number","nullable":true},"allergies":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"has_opt_in_market_mail":{"type":"number","nullable":true},"has_opt_in_review_mail":{"type":"number","nullable":true},"imported_nb_bookings":{"type":"number","nullable":true},"non_duplicate_with":{"type":"string","nullable":true},"optins":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerOptinEmbeddable"}}},"required":["id","created_at","updated_at","deleted_at","owner_id","restaurantid","restaurant_id","retention_rate_label","retention_rate","company","status","account_id","customer_social_id","customer_company_id","lastname","firstname","civility","email","phone","professional_email","professional_phone","birthdate","address","city","zip","country","lang","membershipnum","vip","has_no_show","is_new","is_blacklisted","allergies","comment","unsubscribed","has_opt_in_market_mail","has_opt_in_review_mail","imported_nb_bookings","non_duplicate_with","optins"]},"ZenchefCustomerOptinEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"customer_sheet_id":{"type":"number"},"type":{"type":"object"},"value":{"type":"boolean","nullable":true},"is_last":{"type":"number"},"created_at":{"type":"string","nullable":true}},"required":["id","customer_sheet_id","type","value","is_last","created_at"]},"JuxtaCustomerMetadatasEmbeddable":{"type":"object","properties":{"patient_fullname":{"type":"string","nullable":true},"patient_firstname":{"type":"string","nullable":true},"patient_lastname":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["patient_fullname","patient_firstname","patient_lastname","phone_number","email"]},"SalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"dentego":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/DentegoSalesforceCustomerMetadatasEmbeddable"}]}},"required":["dentego"]},"DentegoSalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"EXTERNAL_ID__c":{"type":"string","nullable":true},"Centre_du_RDV__c":{"type":"string","nullable":true},"Type_de_RDV__c":{"type":"string","nullable":true},"EnddatepourProcessbuilder__c":{"type":"string","nullable":true},"Statut__c":{"type":"string","nullable":true},"Pas_de_R_ponse__c":{"type":"boolean","nullable":true},"Motif_du_RDV__c":{"type":"string","nullable":true},"Pas_int_ress__c":{"type":"boolean","nullable":true},"Recontacter_ce_soir__c":{"type":"boolean","nullable":true},"Commentaire_support_Th_o__c":{"type":"string","nullable":true},"X1er_contact_par_SMS__c":{"type":"boolean","nullable":true},"Nombre_de_RDV_non_honor__c":{"type":"number","nullable":true},"Action_r_alis_e__c":{"type":"string","nullable":true},"Commentaire_li_l_action_r_alis_e__c":{"type":"string","nullable":true},"Recontacter_le__c":{"type":"string","nullable":true},"KO__c":{"type":"boolean","nullable":true},"Date_du_RDV__c":{"type":"string","nullable":true},"Commentaire_li_e_la_t_che__c":{"type":"string","nullable":true},"RDV_plant__c":{"type":"number","nullable":true},"Is_RDV__c":{"type":"number","nullable":true},"Logiciel_met__c":{"type":"string","nullable":true},"Date_d_annulation_du_RDV__c":{"type":"string","nullable":true},"RDV_ADMIN__c":{"type":"number","nullable":true},"DateFlow__c":{"type":"string","nullable":true},"Mail__c":{"type":"string","nullable":true},"Mobile__c":{"type":"string","nullable":true},"isFinished__c":{"type":"boolean","nullable":true},"techSentToHelloCustomer__c":{"type":"boolean","nullable":true},"P_rim_tre_r_gional__c":{"type":"string","nullable":true},"Etat_de_confirmation__c":{"type":"string","nullable":true},"Traite_dans_Doctolib__c":{"type":"boolean","nullable":true},"Date_d_envoi_de_la_confirmation__c":{"type":"string","nullable":true},"Date_de_r_ponse__c":{"type":"string","nullable":true},"Type_de_demande__c":{"type":"string","nullable":true},"Aujourd_hui__c":{"type":"string","nullable":true},"Voyant__c":{"type":"string","nullable":true},"Event_date_1er_RDV__c":{"type":"string","nullable":true},"RDV_NP__c":{"type":"boolean","nullable":true},"Date_de_prise_du_RDV__c":{"type":"string","nullable":true}},"required":["EXTERNAL_ID__c","Centre_du_RDV__c","Type_de_RDV__c","EnddatepourProcessbuilder__c","Statut__c","Pas_de_R_ponse__c","Motif_du_RDV__c","Pas_int_ress__c","Recontacter_ce_soir__c","Commentaire_support_Th_o__c","X1er_contact_par_SMS__c","Nombre_de_RDV_non_honor__c","Action_r_alis_e__c","Commentaire_li_l_action_r_alis_e__c","Recontacter_le__c","KO__c","Date_du_RDV__c","Commentaire_li_e_la_t_che__c","RDV_plant__c","Is_RDV__c","Logiciel_met__c","Date_d_annulation_du_RDV__c","RDV_ADMIN__c","DateFlow__c","Mail__c","Mobile__c","isFinished__c","techSentToHelloCustomer__c","P_rim_tre_r_gional__c","Etat_de_confirmation__c","Traite_dans_Doctolib__c","Date_d_envoi_de_la_confirmation__c","Date_de_r_ponse__c","Type_de_demande__c","Aujourd_hui__c","Voyant__c","Event_date_1er_RDV__c","RDV_NP__c","Date_de_prise_du_RDV__c"]},"DeliverooCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"frequency":{"type":"number","nullable":true}},"required":["id","frequency"]},"TripAdvisorCustomerMetadatasEmbeddable":{"type":"object","properties":{"helpfulVotes":{"type":"number"},"contributionCount":{"type":"number"},"homeTown":{"type":"string"},"avatarUrl":{"type":"string"},"username":{"type":"string","nullable":true}},"required":["helpfulVotes","contributionCount","homeTown","avatarUrl","username"]},"BookingCustomerMetadatasEmbeddable":{"type":"object","properties":{"yourname":{"type":"string","nullable":true}},"required":["yourname"]},"UbereatsCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"profileURL":{"type":"string","nullable":true},"uuid":{"type":"string","nullable":true},"isEatsPassSubscriber":{"type":"boolean","nullable":true},"numOrders":{"type":"number","nullable":true}},"required":["name","profileURL","uuid","isEatsPassSubscriber","numOrders"]},"SevenroomsCustomerMetadatasEmbeddable":{"type":"object","properties":{"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"client_id":{"type":"string","nullable":true},"venue_group_client_id":{"type":"string","nullable":true},"client_reference_code":{"type":"string","nullable":true},"external_client_id":{"type":"string","nullable":true},"source_client_id":{"type":"string","nullable":true},"reservation_sms_opt_in":{"type":"boolean","nullable":true}},"required":["first_name","last_name","email","phone_number","client_id","venue_group_client_id","client_reference_code","external_client_id","source_client_id","reservation_sms_opt_in"]},"FacebookCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"name_format":{"type":"string","nullable":true},"gender":{"type":"string","nullable":true}},"required":["id","profile_pic","first_name","last_name","name","name_format","gender"]},"InstagramCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"biography":{"type":"string","nullable":true},"profile_picture_url":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"followers_count":{"type":"string","nullable":true},"follows_count":{"type":"string","nullable":true},"media_count":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"website":{"type":"string","nullable":true}},"required":["id","biography","profile_picture_url","profile_pic","followers_count","follows_count","media_count","username","name","website"]},"WhatsAppCustomerMetadatasEmbeddable":{"type":"object","properties":{"wa_id":{"type":"string","nullable":true},"profile":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/WhatsAppProfileCustomerMetadatasEmbeddable"}]}},"required":["wa_id","profile"]},"WhatsAppProfileCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"MewsCustomerMetadatasEmbeddable":{"type":"object","properties":{"customer":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerEmbeddable"}]},"documents":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/MewsDocumentEmbeddable"}}},"required":["customer","documents"]},"MewsCustomerEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"ChainId":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"SecondLastName":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sex":{"type":"string","nullable":true},"NationalityCode":{"type":"string","nullable":true},"LanguageCode":{"type":"string","nullable":true},"BirthDate":{"type":"string","nullable":true},"BirthPlace":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"LoyaltyCode":{"type":"string","nullable":true},"AccountingCode":{"type":"string","nullable":true},"BillingCode":{"type":"string","nullable":true},"Notes":{"type":"string","nullable":true},"CarRegistrationNumber":{"type":"string","nullable":true},"Classifications":{"nullable":true,"type":"array","items":{"type":"string"}},"Options":{"nullable":true,"type":"array","items":{"type":"string"}},"Address":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsAddressEmbeddable"}]},"CreatedUtc":{"type":"string","nullable":true},"UpdatedUtc":{"type":"string","nullable":true},"ItalianDestinationCode":{"type":"string","nullable":true},"ItalianFiscalCode":{"type":"string","nullable":true},"CompanyId":{"type":"string","nullable":true},"MergeTargetId":{"type":"string","nullable":true},"ActivityState":{"type":"string","nullable":true},"CitizenNumber":{"type":"string","nullable":true},"MotherName":{"type":"string","nullable":true},"FatherName":{"type":"string","nullable":true},"Occupation":{"type":"string","nullable":true},"HasOtaEmail":{"type":"boolean","nullable":true},"Passport":{"type":"string","nullable":true},"IdentityCard":{"type":"string","nullable":true},"Visa":{"type":"string","nullable":true},"DriversLicense":{"type":"string","nullable":true},"AddressId":{"type":"string","nullable":true},"CategoryId":{"type":"string","nullable":true},"BirthDateUtc":{"type":"string","nullable":true},"IsActive":{"type":"boolean","nullable":true},"IsUpdatedByMe":{"type":"boolean","nullable":true}},"required":["Id","ChainId","Number","FirstName","LastName","SecondLastName","Title","Sex","NationalityCode","LanguageCode","BirthDate","BirthPlace","Email","Phone","TaxIdentificationNumber","LoyaltyCode","AccountingCode","BillingCode","Notes","CarRegistrationNumber","Classifications","Options","Address","CreatedUtc","UpdatedUtc","ItalianDestinationCode","ItalianFiscalCode","CompanyId","MergeTargetId","ActivityState","CitizenNumber","MotherName","FatherName","Occupation","HasOtaEmail","Passport","IdentityCard","Visa","DriversLicense","AddressId","CategoryId","BirthDateUtc","IsActive","IsUpdatedByMe"]},"MewsAddressEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"Line1":{"type":"string","nullable":true},"Line2":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"CountryCode":{"type":"string","nullable":true},"CountrySubdivisionCode":{"type":"string","nullable":true},"Latitude":{"type":"number","nullable":true},"Longitude":{"type":"number","nullable":true}},"required":["Id","Line1","Line2","City","PostalCode","CountryCode","CountrySubdivisionCode","Latitude","Longitude"]},"MewsDocumentEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"CustomerId":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"Expiration":{"type":"string","nullable":true},"Issuance":{"type":"string","nullable":true},"IssuingCountryCode":{"type":"string","nullable":true},"IssuingCity":{"type":"string","nullable":true}},"required":["Id","CustomerId","Type","Number","Expiration","Issuance","IssuingCountryCode","IssuingCity"]},"OracleCustomerMetadatasEmbeddable":{"type":"object","properties":{"membership":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleMembershipDetailsEmbeddable"}]},"namePrefix":{"type":"string","nullable":true},"givenName":{"type":"string","nullable":true},"alternateGivenName":{"type":"string","nullable":true},"middleName":{"type":"string","nullable":true},"surname":{"type":"string","nullable":true},"alternateSurname":{"type":"string","nullable":true},"nameTitle":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true},"phoneNumber":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"birthDate":{"format":"date-time","type":"string","nullable":true},"language":{"type":"string","nullable":true},"nationality":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleNationalityEmbeddable"}]},"vip":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleVIPEmbeddable"}]},"address":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleGuestAddressEmbeddable"}]},"anonymization":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleAnonymizationEmbeddable"}]},"accompanyGuests":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OracleAccompanyGuestEmbeddable"}},"guestLastStayInformation":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleGuestLastStayInformationEmbeddable"}]},"guestRestrictedCode":{"type":"string","nullable":true},"guestRestrictedReasonDesc":{"type":"string","nullable":true},"guestRestricted":{"type":"boolean","nullable":true},"registrationCardNo":{"type":"string","nullable":true},"nameType":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true}},"required":["membership","namePrefix","givenName","alternateGivenName","middleName","surname","alternateSurname","nameTitle","fullName","phoneNumber","email","birthDate","language","nationality","vip","address","anonymization","accompanyGuests","guestLastStayInformation","guestRestrictedCode","guestRestrictedReasonDesc","guestRestricted","registrationCardNo","nameType","id","type"]},"OracleMembershipDetailsEmbeddable":{"type":"object","properties":{"membershipId":{"type":"number","nullable":true},"programCode":{"type":"string","nullable":true},"bonusCode":{"type":"string","nullable":true},"membershipTypeDesc":{"type":"string","nullable":true},"membershipLevelDesc":{"type":"string","nullable":true},"accountId":{"type":"string","nullable":true},"membershipLevel":{"type":"string","nullable":true},"playerRanking":{"type":"number","nullable":true}},"required":["membershipId","programCode","bonusCode","membershipTypeDesc","membershipLevelDesc","accountId","membershipLevel","playerRanking"]},"OracleNationalityEmbeddable":{"type":"object","properties":{"value":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"displayCountryFlag":{"type":"boolean","nullable":true},"isoCode":{"type":"string","nullable":true}},"required":["value","code","displayCountryFlag","isoCode"]},"OracleVIPEmbeddable":{"type":"object","properties":{"vipCode":{"type":"string","nullable":true},"vipDescription":{"type":"string","nullable":true}},"required":["vipCode","vipDescription"]},"OracleGuestAddressEmbeddable":{"type":"object","properties":{"cityName":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"streetAddress":{"type":"string","nullable":true},"country":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleCountryEmbeddable"}]},"excludeNoCity":{"type":"boolean","nullable":true}},"required":["cityName","postalCode","state","streetAddress","country","excludeNoCity"]},"OracleCountryEmbeddable":{"type":"object","properties":{"value":{"type":"string","nullable":true},"code":{"type":"string","nullable":true}},"required":["value","code"]},"OracleAnonymizationEmbeddable":{"type":"object","properties":{"anonymizationStatus":{"type":"string","nullable":true}},"required":["anonymizationStatus"]},"OracleAccompanyGuestEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true},"registrationCardNo":{"type":"string","nullable":true},"profileIdList":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OracleReservationIdEmbeddable"}}},"required":["firstName","lastName","fullName","registrationCardNo","profileIdList"]},"OracleReservationIdEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true}},"required":["id","type"]},"OracleGuestLastStayInformationEmbeddable":{"type":"object","properties":{"lastStayDate":{"format":"date-time","type":"string","nullable":true},"lastStayRoom":{"type":"string","nullable":true},"lastStayRate":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleRateEmbeddable"}]},"totalStay":{"type":"number","nullable":true}},"required":["lastStayDate","lastStayRoom","lastStayRate","totalStay"]},"OracleRateEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"currencyCode":{"type":"string","nullable":true}},"required":["amount","currencyCode"]},"PartoucheCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"mail":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"civility":{"type":"number","nullable":true},"optout":{"type":"boolean","nullable":true},"optout_source":{"type":"string","nullable":true},"testuser":{"type":"boolean","nullable":true},"only_text":{"type":"boolean","nullable":true},"subscribe_source":{"type":"string","nullable":true},"subscribe_source_detail":{"type":"string","nullable":true},"created_dt":{"format":"date-time","type":"string","nullable":true},"modified_dt":{"format":"date-time","type":"string","nullable":true},"optout_dt":{"format":"date-time","type":"string","nullable":true},"language":{"type":"string","nullable":true},"bouncecnt":{"type":"number","nullable":true},"bouncedt":{"format":"date-time","type":"string","nullable":true},"mobile":{"type":"string","nullable":true},"valide_email":{"type":"boolean","nullable":true},"valide_print":{"type":"boolean","nullable":true},"valide_sms":{"type":"boolean","nullable":true},"abo_email":{"type":"boolean","nullable":true},"abo_sms":{"type":"boolean","nullable":true},"abo_print":{"type":"boolean","nullable":true},"casino_rattachement":{"type":"string","nullable":true},"id_contact":{"type":"string","nullable":true},"today":{"format":"date-time","type":"string","nullable":true},"do_not_contact":{"type":"boolean","nullable":true}},"required":["id","mail","name","firstname","lastname","civility","optout","optout_source","testuser","only_text","subscribe_source","subscribe_source_detail","created_dt","modified_dt","optout_dt","language","bouncecnt","bouncedt","mobile","valide_email","valide_print","valide_sms","abo_email","abo_sms","abo_print","casino_rattachement","id_contact","today","do_not_contact"]},"ComoCustomerMetadatasEmbeddable":{"type":"object","properties":{"membership":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ComoCustomerMembershipEmbeddable"}]},"assets":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ComoCustomerAssetEmbeddable"}}},"required":["membership","assets"]},"ComoCustomerMembershipEmbeddable":{"type":"object","properties":{"MembershipStatus":{"type":"string","nullable":true},"AccumulatedPoints":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"LastUpdate":{"type":"string","nullable":true},"BudgetWeighted":{"type":"string","nullable":true},"UserKey":{"type":"string","nullable":true},"LocationID":{"type":"string","nullable":true},"Points":{"type":"string","nullable":true},"AllowEmail":{"type":"string","nullable":true},"Consent":{"type":"string","nullable":true},"Assets":{"nullable":true,"type":"array","items":{"type":"object"}},"Kind":{"type":"string","nullable":true},"CreatedOn":{"type":"string","nullable":true},"RegistrationSource":{"type":"string","nullable":true},"WeightedPoints":{"type":"string","nullable":true},"AllowSMS":{"type":"string","nullable":true},"UnweightedBudgetPoints":{"type":"string","nullable":true},"Status":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"ConsentForHub":{"type":"string","nullable":true},"PreviousUserKeys":{"nullable":true,"type":"array","items":{"type":"string"}},"EntityId":{"type":"string","nullable":true},"CommonExtID":{"type":"string","nullable":true},"PhoneNumber":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"Tag":{"nullable":true,"type":"array","items":{"type":"string"}},"BudgetAccumulatedUnweighted":{"type":"string","nullable":true},"BudgetUnweighted":{"type":"string","nullable":true},"BudgetAccumulatedWeighted":{"type":"string","nullable":true},"Key":{"type":"string","nullable":true},"ComoMemberID":{"type":"string","nullable":true}},"required":["MembershipStatus","AccumulatedPoints","Email","LastUpdate","BudgetWeighted","UserKey","LocationID","Points","AllowEmail","Consent","Assets","Kind","CreatedOn","RegistrationSource","WeightedPoints","AllowSMS","UnweightedBudgetPoints","Status","FirstName","ConsentForHub","PreviousUserKeys","EntityId","CommonExtID","PhoneNumber","LastName","Tag","BudgetAccumulatedUnweighted","BudgetUnweighted","BudgetAccumulatedWeighted","Key","ComoMemberID"]},"ComoCustomerAssetEmbeddable":{"type":"object","properties":{"template":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"status":{"type":"string","nullable":true}},"required":["template","type","key","status"]},"ExperienceCustomerMetadatasEmbeddable":{"type":"object","properties":{"customer_custom_properties":{"type":"array","items":{"type":"object"}},"customer_additional_properties":{"type":"array","items":{"type":"object"}},"email":{"type":"string"},"title":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"language":{"type":"string"},"birthdate":{"type":"string"},"age_at_time_of_stay":{"type":"number"},"addr_street":{"type":"string","nullable":true},"addr_city":{"type":"string","nullable":true},"addr_zipcode":{"type":"string","nullable":true},"addr_country":{"type":"string"},"continent":{"type":"string"},"nationality":{"type":"string"},"mobile_phone":{"type":"string"},"phone":{"type":"string"},"number_of_stays":{"type":"number"},"often_travel_to_city":{"type":"boolean"}},"required":["customer_custom_properties","customer_additional_properties","email","title","firstname","lastname","language","birthdate","age_at_time_of_stay","addr_street","addr_city","addr_zipcode","addr_country","continent","nationality","mobile_phone","phone","number_of_stays","often_travel_to_city"]},"AutoGestionCustomerMetadatasEmbeddable":{"type":"object","properties":{"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"thoroughfare":{"type":"string","nullable":true},"premise":{"type":"string","nullable":true},"postal_code":{"type":"string","nullable":true},"locality":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"required":["firstname","lastname","email","phone","thoroughfare","premise","postal_code","locality","country"]},"TheForkCustomerMetadatasEmbeddable":{"type":"object","properties":{"customerUuid":{"type":"string"},"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"phone":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"locale":{"type":"string"},"civility":{"type":"string","nullable":true},"rank":{"type":"string","nullable":true},"computedRank":{"type":"string","nullable":true},"isVip":{"type":"boolean","nullable":true},"address":{"type":"string","nullable":true},"allergiesAndIntolerances":{"nullable":true,"type":"array","items":{"type":"string"}},"dietaryRestrictions":{"nullable":true,"type":"array","items":{"type":"string"}},"favFood":{"type":"string","nullable":true},"favDrinks":{"type":"string","nullable":true},"favSeating":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true},"originRestaurantUuid":{"type":"string","nullable":true},"originRestaurantName":{"type":"string","nullable":true},"creationDate":{"type":"string"},"lastUpdateDate":{"type":"string"},"isPromoter":{"type":"boolean","nullable":true},"secondaryPhone":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipcode":{"type":"string","nullable":true},"optins":{"$ref":"#/components/schemas/TheForkCustomerOptinsEmbeddable"},"customFields":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/TheForkCustomerCustomFieldEmbeddable"}}},"required":["customerUuid","email","firstName","lastName","phone","birthDate","locale","civility","rank","computedRank","isVip","address","allergiesAndIntolerances","dietaryRestrictions","favFood","favDrinks","favSeating","notes","originRestaurantUuid","originRestaurantName","creationDate","lastUpdateDate","isPromoter","secondaryPhone","country","city","zipcode","optins","customFields"]},"TheForkCustomerOptinsEmbeddable":{"type":"object","properties":{"restaurantNewsletter":{"type":"boolean"}},"required":["restaurantNewsletter"]},"TheForkCustomerCustomFieldEmbeddable":{"type":"object","properties":{"labelUuid":{"type":"string"},"label":{"type":"string"},"type":{"type":"object"},"value":{"type":"string"},"valueUuid":{"type":"string","nullable":true}},"required":["labelUuid","label","type","value","valueUuid"]},"Chr365CustomerMetadatasEmbeddable":{"type":"object","properties":{"uuid":{"type":"string"},"lastName":{"type":"string"},"firstName":{"type":"string"},"email":{"type":"string"},"nationality":{"type":"string"},"address":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"phone":{"type":"string"},"gender":{"type":"string"},"phonePrefix":{"type":"string"},"age":{"type":"number","nullable":true},"language":{"type":"string"}},"required":["uuid","lastName","firstName","email","nationality","address","zipCode","city","phone","gender","phonePrefix","age","language"]},"ExpediaCustomerMetadatasEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true}},"required":["firstName","lastName"]},"PartnerCustomerCustomAttributeValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"attribute":{"type":"string","description":"ID of the related custom attribute."},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"autoDetected":{"type":"boolean","description":"Determines if the value was auto-detected"},"fromPossibleValue":{"type":"string","nullable":true,"description":"The ID of the possible value selected if applicable\nOnly used for select type custom attributes, null otherwise","default":null},"text":{"type":"string","nullable":true,"description":"Submitted text value if applicable\nOnly used for text type custom attributes, null otherwise","default":null},"rating":{"type":"string","nullable":true,"description":"Submitted numeric value if applicable\nOnly used for rating type custom attributes, null otherwise","default":null},"value":{"type":"string","description":"The value of the custom attribute as string, which can be either:\n- The text value for text type custom attributes\n- The numeric value for rating type custom attributes\n- The value of the selected possible value for select type custom attributes"}},"required":["id","createdAt","updatedAt","attribute","type","autoDetected","fromPossibleValue","text","rating","value"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."}}}}
```

## Import a single customer

> When creating a customer, if the email/phoneNumber pair already exists, no new record is created. Only previously empty (null) data is then filled in; the other fields remain unchanged.

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/customer":{"post":{"description":"When creating a customer, if the email/phoneNumber pair already exists, no new record is created. Only previously empty (null) data is then filled in; the other fields remain unchanged.","operationId":"PartnersCustomerController_importCustomer","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerImportCustomerDto"}}}},"responses":{"201":{"description":"The customer has been successfully imported.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomer"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"Import a single customer","tags":["Customer"]}}},"components":{"schemas":{"PartnerImportCustomerDto":{"type":"object","properties":{"description":{"type":"string","description":"Description of the customer","nullable":true},"company":{"type":"string","description":"Company name of the customer","nullable":true},"firstName":{"type":"string","description":"First name of the customer","nullable":true},"lastName":{"type":"string","description":"Last name of the customer","nullable":true},"displayName":{"type":"string","description":"Display name of the customer\nUsually a concatenation of first name and last name","nullable":true},"phoneNumber":{"type":"string","description":"Phone number of the customer","nullable":true},"email":{"type":"string","description":"Email address of the customer","format":"email","nullable":true},"civility":{"type":"string","description":"Civility of the customer (e.g., Mr., Ms., etc.)","nullable":true},"language":{"description":"Language preference of the customer","nullable":true,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"metadata":{"type":"object","description":"Additional metadata to store with the customer\nThis is a key-value pair object where both keys and values are strings"},"smsOptin":{"type":"boolean","description":"SMS opt-in status of the customer","nullable":true},"emailOptin":{"type":"boolean","description":"Email opt-in status of the customer","nullable":true},"zenchefId":{"type":"string","description":"ID of the customer in Zenchef system","nullable":true},"ubereatsId":{"type":"string","description":"ID of the customer in UberEats system","nullable":true},"deliverooId":{"type":"string","description":"ID of the customer in Deliveroo system","nullable":true},"zeltyId":{"type":"string","description":"ID of the customer in Zelty system","nullable":true},"sevenroomsId":{"type":"string","description":"ID of the customer in Sevenrooms system","nullable":true},"metaId":{"type":"string","description":"ID of the customer in Meta system (Facebook/Instagram)","nullable":true},"mewsId":{"type":"string","description":"ID of the customer in Mews system","nullable":true},"oracleId":{"type":"string","description":"ID of the customer in Oracle system","nullable":true},"partoucheId":{"type":"string","description":"ID of the customer in Partouche system","nullable":true},"comoId":{"type":"string","description":"ID of the customer in Como system","nullable":true},"theForkId":{"type":"string","description":"ID of the customer in TheFork system","nullable":true},"chr365Id":{"type":"string","description":"ID of the customer in Chr365 system","nullable":true}}},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerCustomer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"description":{"type":"string","nullable":true,"description":"Customer description","default":null},"company":{"type":"string","nullable":true,"description":"Customer company name","default":null},"firstName":{"type":"string","nullable":true,"description":"Customer first name","default":null},"lastName":{"type":"string","nullable":true,"description":"Customer last name","default":null},"displayName":{"type":"string","nullable":true,"description":"Customer display name\nThis is usually a concatenation of first name and last name","default":null},"language":{"nullable":true,"description":"Language preference of the customer","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"phoneNumber":{"type":"string","nullable":true,"description":"Phone number of the customer","default":null},"email":{"type":"string","nullable":true,"description":"Email address of the customer","default":null},"emailBounced":{"type":"boolean","description":"Indicates if the customer's email has bounced"},"civility":{"type":"string","nullable":true,"description":"Civility of the customer (e.g., Mr., Ms., etc.)","default":null},"tags":{"description":"A list of tags associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerTag"}},"emailOptin":{"type":"boolean","description":"Indicates if the customer has opted in for email communications"},"smsOptin":{"type":"boolean","description":"Indicates if the customer has opted in for SMS communications"},"zenchefId":{"type":"string","nullable":true,"description":"ID of the customer in Zenchef system","default":null},"ubereatsId":{"type":"string","nullable":true,"description":"ID of the customer in UberEats system","default":null},"deliverooId":{"type":"string","nullable":true,"description":"ID of the customer in Deliveroo system","default":null},"zeltyId":{"type":"string","nullable":true,"description":"ID of the customer in Zelty system","default":null},"sevenroomsId":{"type":"string","nullable":true,"description":"ID of the customer in Sevenrooms system","default":null},"metaId":{"type":"string","nullable":true,"description":"ID of the customer in Meta system (Facebook/Instagram)","default":null},"mewsId":{"type":"string","nullable":true,"description":"ID of the customer in Mews system","default":null},"oracleId":{"type":"string","nullable":true,"description":"ID of the customer in Oracle system","default":null},"partoucheId":{"type":"string","nullable":true,"description":"ID of the customer in Partouche system","default":null},"comoId":{"type":"string","nullable":true,"description":"ID of the customer in Como system","default":null},"theForkId":{"type":"string","nullable":true,"description":"ID of the customer in TheFork system","default":null},"chr365Id":{"type":"string","nullable":true,"description":"ID of the customer in Chr365 system","default":null},"type":{"nullable":true,"description":"Type of the customer (e.g., Individual, Company, etc.)","default":null,"enum":["Unknown","Purchaser","Reviewer","Both"],"type":"string"},"feedbackCount":{"type":"number","description":"Number of feedbacks provided by the customer"},"purchaseCount":{"type":"number","description":"Number of purchases made by the customer"},"averageFeedbackRating":{"type":"string","nullable":true,"description":"Average feedback rating given by the customer","default":null},"dataSources":{"description":"Data sources associated with the customer","type":"array","items":{"$ref":"#/components/schemas/DataSource"}},"metadata":{"description":"Metadata associated with the customer","allOf":[{"$ref":"#/components/schemas/CustomerMetadatasEmbeddable"}]},"attributes":{"description":"Custom attribute values associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerCustomAttributeValue"}}},"required":["id","createdAt","updatedAt","description","company","firstName","lastName","displayName","phoneNumber","email","emailBounced","civility","tags","emailOptin","smsOptin","zenchefId","ubereatsId","deliverooId","zeltyId","sevenroomsId","metaId","mewsId","oracleId","partoucheId","comoId","theForkId","chr365Id","type","feedbackCount","purchaseCount","averageFeedbackRating","dataSources","metadata","attributes"]},"PartnerCustomerTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Facebook","Google","Import","Instagram","Juxta","Mews","Oracle","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","Chr365","Expedia"],"description":"Data sources associated with the customer"},"CustomerMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business customer metadatas","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessCustomerMetadatasEmbeddable"}]},"zelty":{"nullable":true,"description":"Zelty customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZeltyCustomerMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"juxta":{"nullable":true,"description":"Juxta customer metadatas.","allOf":[{"$ref":"#/components/schemas/JuxtaCustomerMetadatasEmbeddable"}]},"salesforce":{"nullable":true,"description":"Salesforce customer metadatas.","allOf":[{"$ref":"#/components/schemas/SalesforceCustomerMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"description":"Deliveroo customer metadatas.","allOf":[{"$ref":"#/components/schemas/DeliverooCustomerMetadatasEmbeddable"}]},"tripadvisor":{"nullable":true,"description":"TripAdvisor customer metadatas.","allOf":[{"$ref":"#/components/schemas/TripAdvisorCustomerMetadatasEmbeddable"}]},"booking":{"nullable":true,"description":"Booking customer metadatas.","allOf":[{"$ref":"#/components/schemas/BookingCustomerMetadatasEmbeddable"}]},"ubereats":{"nullable":true,"description":"UberEats customer metadatas","allOf":[{"$ref":"#/components/schemas/UbereatsCustomerMetadatasEmbeddable"}]},"sevenrooms":{"nullable":true,"description":"Sevenrooms customer metadatas.","allOf":[{"$ref":"#/components/schemas/SevenroomsCustomerMetadatasEmbeddable"}]},"facebook":{"nullable":true,"description":"Facebook customer metadatas.","allOf":[{"$ref":"#/components/schemas/FacebookCustomerMetadatasEmbeddable"}]},"instagram":{"nullable":true,"description":"Instagram customer metadatas.","allOf":[{"$ref":"#/components/schemas/InstagramCustomerMetadatasEmbeddable"}]},"whatsapp":{"nullable":true,"description":"WhatsApp customer metadatas.","allOf":[{"$ref":"#/components/schemas/WhatsAppCustomerMetadatasEmbeddable"}]},"mews":{"nullable":true,"description":"Mews customer metadatas.","allOf":[{"$ref":"#/components/schemas/MewsCustomerMetadatasEmbeddable"}]},"oracle":{"nullable":true,"description":"Oracle customer metadatas.","allOf":[{"$ref":"#/components/schemas/OracleCustomerMetadatasEmbeddable"}]},"partouche":{"nullable":true,"description":"Partouche customer metadatas.","allOf":[{"$ref":"#/components/schemas/PartoucheCustomerMetadatasEmbeddable"}]},"como":{"nullable":true,"description":"Como customer metadatas.","allOf":[{"$ref":"#/components/schemas/ComoCustomerMetadatasEmbeddable"}]},"experience":{"nullable":true,"description":"Experience customer metadatas.","allOf":[{"$ref":"#/components/schemas/ExperienceCustomerMetadatasEmbeddable"}]},"autoGestion":{"nullable":true,"description":"AutoGestion customer metadatas.","allOf":[{"$ref":"#/components/schemas/AutoGestionCustomerMetadatasEmbeddable"}]},"theFork":{"nullable":true,"description":"TheFork customer metadatas.","allOf":[{"$ref":"#/components/schemas/TheForkCustomerMetadatasEmbeddable"}]},"import":{"type":"object","nullable":true,"description":"Custom import data"},"chr365":{"nullable":true,"description":"Chr365 customer metadatas.","allOf":[{"$ref":"#/components/schemas/Chr365CustomerMetadatasEmbeddable"}]},"expedia":{"nullable":true,"description":"Expedia customer metadatas.","allOf":[{"$ref":"#/components/schemas/ExpediaCustomerMetadatasEmbeddable"}]}}},"GoogleMyBusinessCustomerMetadatasEmbeddable":{"type":"object","properties":{"displayName":{"type":"string","nullable":true},"profilePhotoUrl":{"type":"string","nullable":true},"isAnonymous":{"type":"boolean","nullable":true}},"required":["displayName","profilePhotoUrl","isAnonymous"]},"ZeltyCustomerMetadatasEmbeddable":{"type":"object","properties":{"metadata":{"type":"object","nullable":true},"id":{"type":"number","nullable":true},"uuid":{"type":"string","nullable":true},"remote_id":{"type":"string","nullable":true},"nice_name":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"fname":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"card":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"phone2":{"type":"string","nullable":true},"mail":{"type":"string","nullable":true},"birthday":{"type":"string","nullable":true},"balance":{"type":"number","nullable":true},"personal_info":{"type":"string","nullable":true},"loyalty":{"type":"number","nullable":true},"registration":{"type":"string","nullable":true},"default_address":{"type":"number","nullable":true},"billing_address":{"type":"number","nullable":true},"sms_optin":{"type":"boolean","nullable":true},"mail_optin":{"type":"boolean","nullable":true},"turnover":{"type":"number","nullable":true},"nb_orders":{"type":"number","nullable":true},"last_order_date":{"type":"string","nullable":true},"other":{"type":"string","nullable":true},"addresses":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZeltyAddressEmbeddable"}},"country_code":{"type":"string","nullable":true}},"required":["metadata","id","uuid","remote_id","nice_name","updated_at","name","fname","company","card","phone","phone2","mail","birthday","balance","personal_info","loyalty","registration","default_address","billing_address","sms_optin","mail_optin","turnover","nb_orders","last_order_date","other","addresses","country_code"]},"ZeltyAddressEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"remote_id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"street":{"type":"string","nullable":true},"street_num":{"type":"string","nullable":true},"zip_code":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"formatted_address":{"type":"string","nullable":true},"google_id":{"type":"string","nullable":true},"location":{"nullable":true,"type":"array","items":{"type":"number"}},"address_more":{"type":"string","nullable":true},"floor":{"type":"string","nullable":true},"door":{"type":"string","nullable":true},"building":{"type":"string","nullable":true},"code":{"type":"string","nullable":true}},"required":["id","remote_id","name","street","street_num","zip_code","city","formatted_address","google_id","location","address_more","floor","door","building","code"]},"ZenchefCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"created_at":{"type":"string","nullable":true},"updated_at":{"type":"string","nullable":true},"deleted_at":{"type":"string","nullable":true},"owner_id":{"type":"number","nullable":true},"restaurantid":{"type":"number","nullable":true},"restaurant_id":{"type":"number","nullable":true},"retention_rate_label":{"type":"string","nullable":true},"retention_rate":{"type":"number","nullable":true},"company":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"account_id":{"type":"number","nullable":true},"customer_social_id":{"type":"string","nullable":true},"customer_company_id":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"civility":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"professional_email":{"type":"string","nullable":true},"professional_phone":{"type":"string","nullable":true},"birthdate":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zip":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"lang":{"type":"string","nullable":true},"membershipnum":{"type":"string","nullable":true},"vip":{"type":"number","nullable":true},"has_no_show":{"type":"number","nullable":true},"is_new":{"type":"number","nullable":true},"is_blacklisted":{"type":"number","nullable":true},"allergies":{"type":"string","nullable":true},"comment":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"has_opt_in_market_mail":{"type":"number","nullable":true},"has_opt_in_review_mail":{"type":"number","nullable":true},"imported_nb_bookings":{"type":"number","nullable":true},"non_duplicate_with":{"type":"string","nullable":true},"optins":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ZenchefCustomerOptinEmbeddable"}}},"required":["id","created_at","updated_at","deleted_at","owner_id","restaurantid","restaurant_id","retention_rate_label","retention_rate","company","status","account_id","customer_social_id","customer_company_id","lastname","firstname","civility","email","phone","professional_email","professional_phone","birthdate","address","city","zip","country","lang","membershipnum","vip","has_no_show","is_new","is_blacklisted","allergies","comment","unsubscribed","has_opt_in_market_mail","has_opt_in_review_mail","imported_nb_bookings","non_duplicate_with","optins"]},"ZenchefCustomerOptinEmbeddable":{"type":"object","properties":{"id":{"type":"number"},"customer_sheet_id":{"type":"number"},"type":{"type":"object"},"value":{"type":"boolean","nullable":true},"is_last":{"type":"number"},"created_at":{"type":"string","nullable":true}},"required":["id","customer_sheet_id","type","value","is_last","created_at"]},"JuxtaCustomerMetadatasEmbeddable":{"type":"object","properties":{"patient_fullname":{"type":"string","nullable":true},"patient_firstname":{"type":"string","nullable":true},"patient_lastname":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"email":{"type":"string","nullable":true}},"required":["patient_fullname","patient_firstname","patient_lastname","phone_number","email"]},"SalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"dentego":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/DentegoSalesforceCustomerMetadatasEmbeddable"}]}},"required":["dentego"]},"DentegoSalesforceCustomerMetadatasEmbeddable":{"type":"object","properties":{"EXTERNAL_ID__c":{"type":"string","nullable":true},"Centre_du_RDV__c":{"type":"string","nullable":true},"Type_de_RDV__c":{"type":"string","nullable":true},"EnddatepourProcessbuilder__c":{"type":"string","nullable":true},"Statut__c":{"type":"string","nullable":true},"Pas_de_R_ponse__c":{"type":"boolean","nullable":true},"Motif_du_RDV__c":{"type":"string","nullable":true},"Pas_int_ress__c":{"type":"boolean","nullable":true},"Recontacter_ce_soir__c":{"type":"boolean","nullable":true},"Commentaire_support_Th_o__c":{"type":"string","nullable":true},"X1er_contact_par_SMS__c":{"type":"boolean","nullable":true},"Nombre_de_RDV_non_honor__c":{"type":"number","nullable":true},"Action_r_alis_e__c":{"type":"string","nullable":true},"Commentaire_li_l_action_r_alis_e__c":{"type":"string","nullable":true},"Recontacter_le__c":{"type":"string","nullable":true},"KO__c":{"type":"boolean","nullable":true},"Date_du_RDV__c":{"type":"string","nullable":true},"Commentaire_li_e_la_t_che__c":{"type":"string","nullable":true},"RDV_plant__c":{"type":"number","nullable":true},"Is_RDV__c":{"type":"number","nullable":true},"Logiciel_met__c":{"type":"string","nullable":true},"Date_d_annulation_du_RDV__c":{"type":"string","nullable":true},"RDV_ADMIN__c":{"type":"number","nullable":true},"DateFlow__c":{"type":"string","nullable":true},"Mail__c":{"type":"string","nullable":true},"Mobile__c":{"type":"string","nullable":true},"isFinished__c":{"type":"boolean","nullable":true},"techSentToHelloCustomer__c":{"type":"boolean","nullable":true},"P_rim_tre_r_gional__c":{"type":"string","nullable":true},"Etat_de_confirmation__c":{"type":"string","nullable":true},"Traite_dans_Doctolib__c":{"type":"boolean","nullable":true},"Date_d_envoi_de_la_confirmation__c":{"type":"string","nullable":true},"Date_de_r_ponse__c":{"type":"string","nullable":true},"Type_de_demande__c":{"type":"string","nullable":true},"Aujourd_hui__c":{"type":"string","nullable":true},"Voyant__c":{"type":"string","nullable":true},"Event_date_1er_RDV__c":{"type":"string","nullable":true},"RDV_NP__c":{"type":"boolean","nullable":true},"Date_de_prise_du_RDV__c":{"type":"string","nullable":true}},"required":["EXTERNAL_ID__c","Centre_du_RDV__c","Type_de_RDV__c","EnddatepourProcessbuilder__c","Statut__c","Pas_de_R_ponse__c","Motif_du_RDV__c","Pas_int_ress__c","Recontacter_ce_soir__c","Commentaire_support_Th_o__c","X1er_contact_par_SMS__c","Nombre_de_RDV_non_honor__c","Action_r_alis_e__c","Commentaire_li_l_action_r_alis_e__c","Recontacter_le__c","KO__c","Date_du_RDV__c","Commentaire_li_e_la_t_che__c","RDV_plant__c","Is_RDV__c","Logiciel_met__c","Date_d_annulation_du_RDV__c","RDV_ADMIN__c","DateFlow__c","Mail__c","Mobile__c","isFinished__c","techSentToHelloCustomer__c","P_rim_tre_r_gional__c","Etat_de_confirmation__c","Traite_dans_Doctolib__c","Date_d_envoi_de_la_confirmation__c","Date_de_r_ponse__c","Type_de_demande__c","Aujourd_hui__c","Voyant__c","Event_date_1er_RDV__c","RDV_NP__c","Date_de_prise_du_RDV__c"]},"DeliverooCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"frequency":{"type":"number","nullable":true}},"required":["id","frequency"]},"TripAdvisorCustomerMetadatasEmbeddable":{"type":"object","properties":{"helpfulVotes":{"type":"number"},"contributionCount":{"type":"number"},"homeTown":{"type":"string"},"avatarUrl":{"type":"string"},"username":{"type":"string","nullable":true}},"required":["helpfulVotes","contributionCount","homeTown","avatarUrl","username"]},"BookingCustomerMetadatasEmbeddable":{"type":"object","properties":{"yourname":{"type":"string","nullable":true}},"required":["yourname"]},"UbereatsCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true},"profileURL":{"type":"string","nullable":true},"uuid":{"type":"string","nullable":true},"isEatsPassSubscriber":{"type":"boolean","nullable":true},"numOrders":{"type":"number","nullable":true}},"required":["name","profileURL","uuid","isEatsPassSubscriber","numOrders"]},"SevenroomsCustomerMetadatasEmbeddable":{"type":"object","properties":{"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone_number":{"type":"string","nullable":true},"client_id":{"type":"string","nullable":true},"venue_group_client_id":{"type":"string","nullable":true},"client_reference_code":{"type":"string","nullable":true},"external_client_id":{"type":"string","nullable":true},"source_client_id":{"type":"string","nullable":true},"reservation_sms_opt_in":{"type":"boolean","nullable":true}},"required":["first_name","last_name","email","phone_number","client_id","venue_group_client_id","client_reference_code","external_client_id","source_client_id","reservation_sms_opt_in"]},"FacebookCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"first_name":{"type":"string","nullable":true},"last_name":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"name_format":{"type":"string","nullable":true},"gender":{"type":"string","nullable":true}},"required":["id","profile_pic","first_name","last_name","name","name_format","gender"]},"InstagramCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"biography":{"type":"string","nullable":true},"profile_picture_url":{"type":"string","nullable":true},"profile_pic":{"type":"string","nullable":true},"followers_count":{"type":"string","nullable":true},"follows_count":{"type":"string","nullable":true},"media_count":{"type":"string","nullable":true},"username":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"website":{"type":"string","nullable":true}},"required":["id","biography","profile_picture_url","profile_pic","followers_count","follows_count","media_count","username","name","website"]},"WhatsAppCustomerMetadatasEmbeddable":{"type":"object","properties":{"wa_id":{"type":"string","nullable":true},"profile":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/WhatsAppProfileCustomerMetadatasEmbeddable"}]}},"required":["wa_id","profile"]},"WhatsAppProfileCustomerMetadatasEmbeddable":{"type":"object","properties":{"name":{"type":"string","nullable":true}},"required":["name"]},"MewsCustomerMetadatasEmbeddable":{"type":"object","properties":{"customer":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsCustomerEmbeddable"}]},"documents":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/MewsDocumentEmbeddable"}}},"required":["customer","documents"]},"MewsCustomerEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"ChainId":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"SecondLastName":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Sex":{"type":"string","nullable":true},"NationalityCode":{"type":"string","nullable":true},"LanguageCode":{"type":"string","nullable":true},"BirthDate":{"type":"string","nullable":true},"BirthPlace":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"LoyaltyCode":{"type":"string","nullable":true},"AccountingCode":{"type":"string","nullable":true},"BillingCode":{"type":"string","nullable":true},"Notes":{"type":"string","nullable":true},"CarRegistrationNumber":{"type":"string","nullable":true},"Classifications":{"nullable":true,"type":"array","items":{"type":"string"}},"Options":{"nullable":true,"type":"array","items":{"type":"string"}},"Address":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/MewsAddressEmbeddable"}]},"CreatedUtc":{"type":"string","nullable":true},"UpdatedUtc":{"type":"string","nullable":true},"ItalianDestinationCode":{"type":"string","nullable":true},"ItalianFiscalCode":{"type":"string","nullable":true},"CompanyId":{"type":"string","nullable":true},"MergeTargetId":{"type":"string","nullable":true},"ActivityState":{"type":"string","nullable":true},"CitizenNumber":{"type":"string","nullable":true},"MotherName":{"type":"string","nullable":true},"FatherName":{"type":"string","nullable":true},"Occupation":{"type":"string","nullable":true},"HasOtaEmail":{"type":"boolean","nullable":true},"Passport":{"type":"string","nullable":true},"IdentityCard":{"type":"string","nullable":true},"Visa":{"type":"string","nullable":true},"DriversLicense":{"type":"string","nullable":true},"AddressId":{"type":"string","nullable":true},"CategoryId":{"type":"string","nullable":true},"BirthDateUtc":{"type":"string","nullable":true},"IsActive":{"type":"boolean","nullable":true},"IsUpdatedByMe":{"type":"boolean","nullable":true}},"required":["Id","ChainId","Number","FirstName","LastName","SecondLastName","Title","Sex","NationalityCode","LanguageCode","BirthDate","BirthPlace","Email","Phone","TaxIdentificationNumber","LoyaltyCode","AccountingCode","BillingCode","Notes","CarRegistrationNumber","Classifications","Options","Address","CreatedUtc","UpdatedUtc","ItalianDestinationCode","ItalianFiscalCode","CompanyId","MergeTargetId","ActivityState","CitizenNumber","MotherName","FatherName","Occupation","HasOtaEmail","Passport","IdentityCard","Visa","DriversLicense","AddressId","CategoryId","BirthDateUtc","IsActive","IsUpdatedByMe"]},"MewsAddressEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"Line1":{"type":"string","nullable":true},"Line2":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"CountryCode":{"type":"string","nullable":true},"CountrySubdivisionCode":{"type":"string","nullable":true},"Latitude":{"type":"number","nullable":true},"Longitude":{"type":"number","nullable":true}},"required":["Id","Line1","Line2","City","PostalCode","CountryCode","CountrySubdivisionCode","Latitude","Longitude"]},"MewsDocumentEmbeddable":{"type":"object","properties":{"Id":{"type":"string","nullable":true},"CustomerId":{"type":"string","nullable":true},"Type":{"type":"string","nullable":true},"Number":{"type":"string","nullable":true},"Expiration":{"type":"string","nullable":true},"Issuance":{"type":"string","nullable":true},"IssuingCountryCode":{"type":"string","nullable":true},"IssuingCity":{"type":"string","nullable":true}},"required":["Id","CustomerId","Type","Number","Expiration","Issuance","IssuingCountryCode","IssuingCity"]},"OracleCustomerMetadatasEmbeddable":{"type":"object","properties":{"membership":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleMembershipDetailsEmbeddable"}]},"namePrefix":{"type":"string","nullable":true},"givenName":{"type":"string","nullable":true},"alternateGivenName":{"type":"string","nullable":true},"middleName":{"type":"string","nullable":true},"surname":{"type":"string","nullable":true},"alternateSurname":{"type":"string","nullable":true},"nameTitle":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true},"phoneNumber":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"birthDate":{"format":"date-time","type":"string","nullable":true},"language":{"type":"string","nullable":true},"nationality":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleNationalityEmbeddable"}]},"vip":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleVIPEmbeddable"}]},"address":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleGuestAddressEmbeddable"}]},"anonymization":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleAnonymizationEmbeddable"}]},"accompanyGuests":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OracleAccompanyGuestEmbeddable"}},"guestLastStayInformation":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleGuestLastStayInformationEmbeddable"}]},"guestRestrictedCode":{"type":"string","nullable":true},"guestRestrictedReasonDesc":{"type":"string","nullable":true},"guestRestricted":{"type":"boolean","nullable":true},"registrationCardNo":{"type":"string","nullable":true},"nameType":{"type":"string","nullable":true},"id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true}},"required":["membership","namePrefix","givenName","alternateGivenName","middleName","surname","alternateSurname","nameTitle","fullName","phoneNumber","email","birthDate","language","nationality","vip","address","anonymization","accompanyGuests","guestLastStayInformation","guestRestrictedCode","guestRestrictedReasonDesc","guestRestricted","registrationCardNo","nameType","id","type"]},"OracleMembershipDetailsEmbeddable":{"type":"object","properties":{"membershipId":{"type":"number","nullable":true},"programCode":{"type":"string","nullable":true},"bonusCode":{"type":"string","nullable":true},"membershipTypeDesc":{"type":"string","nullable":true},"membershipLevelDesc":{"type":"string","nullable":true},"accountId":{"type":"string","nullable":true},"membershipLevel":{"type":"string","nullable":true},"playerRanking":{"type":"number","nullable":true}},"required":["membershipId","programCode","bonusCode","membershipTypeDesc","membershipLevelDesc","accountId","membershipLevel","playerRanking"]},"OracleNationalityEmbeddable":{"type":"object","properties":{"value":{"type":"string","nullable":true},"code":{"type":"string","nullable":true},"displayCountryFlag":{"type":"boolean","nullable":true},"isoCode":{"type":"string","nullable":true}},"required":["value","code","displayCountryFlag","isoCode"]},"OracleVIPEmbeddable":{"type":"object","properties":{"vipCode":{"type":"string","nullable":true},"vipDescription":{"type":"string","nullable":true}},"required":["vipCode","vipDescription"]},"OracleGuestAddressEmbeddable":{"type":"object","properties":{"cityName":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"streetAddress":{"type":"string","nullable":true},"country":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleCountryEmbeddable"}]},"excludeNoCity":{"type":"boolean","nullable":true}},"required":["cityName","postalCode","state","streetAddress","country","excludeNoCity"]},"OracleCountryEmbeddable":{"type":"object","properties":{"value":{"type":"string","nullable":true},"code":{"type":"string","nullable":true}},"required":["value","code"]},"OracleAnonymizationEmbeddable":{"type":"object","properties":{"anonymizationStatus":{"type":"string","nullable":true}},"required":["anonymizationStatus"]},"OracleAccompanyGuestEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"fullName":{"type":"string","nullable":true},"registrationCardNo":{"type":"string","nullable":true},"profileIdList":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/OracleReservationIdEmbeddable"}}},"required":["firstName","lastName","fullName","registrationCardNo","profileIdList"]},"OracleReservationIdEmbeddable":{"type":"object","properties":{"id":{"type":"string","nullable":true},"type":{"type":"string","nullable":true}},"required":["id","type"]},"OracleGuestLastStayInformationEmbeddable":{"type":"object","properties":{"lastStayDate":{"format":"date-time","type":"string","nullable":true},"lastStayRoom":{"type":"string","nullable":true},"lastStayRate":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/OracleRateEmbeddable"}]},"totalStay":{"type":"number","nullable":true}},"required":["lastStayDate","lastStayRoom","lastStayRate","totalStay"]},"OracleRateEmbeddable":{"type":"object","properties":{"amount":{"type":"number","nullable":true},"currencyCode":{"type":"string","nullable":true}},"required":["amount","currencyCode"]},"PartoucheCustomerMetadatasEmbeddable":{"type":"object","properties":{"id":{"type":"number","nullable":true},"mail":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"civility":{"type":"number","nullable":true},"optout":{"type":"boolean","nullable":true},"optout_source":{"type":"string","nullable":true},"testuser":{"type":"boolean","nullable":true},"only_text":{"type":"boolean","nullable":true},"subscribe_source":{"type":"string","nullable":true},"subscribe_source_detail":{"type":"string","nullable":true},"created_dt":{"format":"date-time","type":"string","nullable":true},"modified_dt":{"format":"date-time","type":"string","nullable":true},"optout_dt":{"format":"date-time","type":"string","nullable":true},"language":{"type":"string","nullable":true},"bouncecnt":{"type":"number","nullable":true},"bouncedt":{"format":"date-time","type":"string","nullable":true},"mobile":{"type":"string","nullable":true},"valide_email":{"type":"boolean","nullable":true},"valide_print":{"type":"boolean","nullable":true},"valide_sms":{"type":"boolean","nullable":true},"abo_email":{"type":"boolean","nullable":true},"abo_sms":{"type":"boolean","nullable":true},"abo_print":{"type":"boolean","nullable":true},"casino_rattachement":{"type":"string","nullable":true},"id_contact":{"type":"string","nullable":true},"today":{"format":"date-time","type":"string","nullable":true},"do_not_contact":{"type":"boolean","nullable":true}},"required":["id","mail","name","firstname","lastname","civility","optout","optout_source","testuser","only_text","subscribe_source","subscribe_source_detail","created_dt","modified_dt","optout_dt","language","bouncecnt","bouncedt","mobile","valide_email","valide_print","valide_sms","abo_email","abo_sms","abo_print","casino_rattachement","id_contact","today","do_not_contact"]},"ComoCustomerMetadatasEmbeddable":{"type":"object","properties":{"membership":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ComoCustomerMembershipEmbeddable"}]},"assets":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ComoCustomerAssetEmbeddable"}}},"required":["membership","assets"]},"ComoCustomerMembershipEmbeddable":{"type":"object","properties":{"MembershipStatus":{"type":"string","nullable":true},"AccumulatedPoints":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"LastUpdate":{"type":"string","nullable":true},"BudgetWeighted":{"type":"string","nullable":true},"UserKey":{"type":"string","nullable":true},"LocationID":{"type":"string","nullable":true},"Points":{"type":"string","nullable":true},"AllowEmail":{"type":"string","nullable":true},"Consent":{"type":"string","nullable":true},"Assets":{"nullable":true,"type":"array","items":{"type":"object"}},"Kind":{"type":"string","nullable":true},"CreatedOn":{"type":"string","nullable":true},"RegistrationSource":{"type":"string","nullable":true},"WeightedPoints":{"type":"string","nullable":true},"AllowSMS":{"type":"string","nullable":true},"UnweightedBudgetPoints":{"type":"string","nullable":true},"Status":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"ConsentForHub":{"type":"string","nullable":true},"PreviousUserKeys":{"nullable":true,"type":"array","items":{"type":"string"}},"EntityId":{"type":"string","nullable":true},"CommonExtID":{"type":"string","nullable":true},"PhoneNumber":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"Tag":{"nullable":true,"type":"array","items":{"type":"string"}},"BudgetAccumulatedUnweighted":{"type":"string","nullable":true},"BudgetUnweighted":{"type":"string","nullable":true},"BudgetAccumulatedWeighted":{"type":"string","nullable":true},"Key":{"type":"string","nullable":true},"ComoMemberID":{"type":"string","nullable":true}},"required":["MembershipStatus","AccumulatedPoints","Email","LastUpdate","BudgetWeighted","UserKey","LocationID","Points","AllowEmail","Consent","Assets","Kind","CreatedOn","RegistrationSource","WeightedPoints","AllowSMS","UnweightedBudgetPoints","Status","FirstName","ConsentForHub","PreviousUserKeys","EntityId","CommonExtID","PhoneNumber","LastName","Tag","BudgetAccumulatedUnweighted","BudgetUnweighted","BudgetAccumulatedWeighted","Key","ComoMemberID"]},"ComoCustomerAssetEmbeddable":{"type":"object","properties":{"template":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"status":{"type":"string","nullable":true}},"required":["template","type","key","status"]},"ExperienceCustomerMetadatasEmbeddable":{"type":"object","properties":{"customer_custom_properties":{"type":"array","items":{"type":"object"}},"customer_additional_properties":{"type":"array","items":{"type":"object"}},"email":{"type":"string"},"title":{"type":"string"},"firstname":{"type":"string"},"lastname":{"type":"string"},"language":{"type":"string"},"birthdate":{"type":"string"},"age_at_time_of_stay":{"type":"number"},"addr_street":{"type":"string","nullable":true},"addr_city":{"type":"string","nullable":true},"addr_zipcode":{"type":"string","nullable":true},"addr_country":{"type":"string"},"continent":{"type":"string"},"nationality":{"type":"string"},"mobile_phone":{"type":"string"},"phone":{"type":"string"},"number_of_stays":{"type":"number"},"often_travel_to_city":{"type":"boolean"}},"required":["customer_custom_properties","customer_additional_properties","email","title","firstname","lastname","language","birthdate","age_at_time_of_stay","addr_street","addr_city","addr_zipcode","addr_country","continent","nationality","mobile_phone","phone","number_of_stays","often_travel_to_city"]},"AutoGestionCustomerMetadatasEmbeddable":{"type":"object","properties":{"firstname":{"type":"string","nullable":true},"lastname":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"thoroughfare":{"type":"string","nullable":true},"premise":{"type":"string","nullable":true},"postal_code":{"type":"string","nullable":true},"locality":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"required":["firstname","lastname","email","phone","thoroughfare","premise","postal_code","locality","country"]},"TheForkCustomerMetadatasEmbeddable":{"type":"object","properties":{"customerUuid":{"type":"string"},"email":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"phone":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"locale":{"type":"string"},"civility":{"type":"string","nullable":true},"rank":{"type":"string","nullable":true},"computedRank":{"type":"string","nullable":true},"isVip":{"type":"boolean","nullable":true},"address":{"type":"string","nullable":true},"allergiesAndIntolerances":{"nullable":true,"type":"array","items":{"type":"string"}},"dietaryRestrictions":{"nullable":true,"type":"array","items":{"type":"string"}},"favFood":{"type":"string","nullable":true},"favDrinks":{"type":"string","nullable":true},"favSeating":{"type":"string","nullable":true},"notes":{"type":"string","nullable":true},"originRestaurantUuid":{"type":"string","nullable":true},"originRestaurantName":{"type":"string","nullable":true},"creationDate":{"type":"string"},"lastUpdateDate":{"type":"string"},"isPromoter":{"type":"boolean","nullable":true},"secondaryPhone":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipcode":{"type":"string","nullable":true},"optins":{"$ref":"#/components/schemas/TheForkCustomerOptinsEmbeddable"},"customFields":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/TheForkCustomerCustomFieldEmbeddable"}}},"required":["customerUuid","email","firstName","lastName","phone","birthDate","locale","civility","rank","computedRank","isVip","address","allergiesAndIntolerances","dietaryRestrictions","favFood","favDrinks","favSeating","notes","originRestaurantUuid","originRestaurantName","creationDate","lastUpdateDate","isPromoter","secondaryPhone","country","city","zipcode","optins","customFields"]},"TheForkCustomerOptinsEmbeddable":{"type":"object","properties":{"restaurantNewsletter":{"type":"boolean"}},"required":["restaurantNewsletter"]},"TheForkCustomerCustomFieldEmbeddable":{"type":"object","properties":{"labelUuid":{"type":"string"},"label":{"type":"string"},"type":{"type":"object"},"value":{"type":"string"},"valueUuid":{"type":"string","nullable":true}},"required":["labelUuid","label","type","value","valueUuid"]},"Chr365CustomerMetadatasEmbeddable":{"type":"object","properties":{"uuid":{"type":"string"},"lastName":{"type":"string"},"firstName":{"type":"string"},"email":{"type":"string"},"nationality":{"type":"string"},"address":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"phone":{"type":"string"},"gender":{"type":"string"},"phonePrefix":{"type":"string"},"age":{"type":"number","nullable":true},"language":{"type":"string"}},"required":["uuid","lastName","firstName","email","nationality","address","zipCode","city","phone","gender","phonePrefix","age","language"]},"ExpediaCustomerMetadatasEmbeddable":{"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true}},"required":["firstName","lastName"]},"PartnerCustomerCustomAttributeValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"attribute":{"type":"string","description":"ID of the related custom attribute."},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"autoDetected":{"type":"boolean","description":"Determines if the value was auto-detected"},"fromPossibleValue":{"type":"string","nullable":true,"description":"The ID of the possible value selected if applicable\nOnly used for select type custom attributes, null otherwise","default":null},"text":{"type":"string","nullable":true,"description":"Submitted text value if applicable\nOnly used for text type custom attributes, null otherwise","default":null},"rating":{"type":"string","nullable":true,"description":"Submitted numeric value if applicable\nOnly used for rating type custom attributes, null otherwise","default":null},"value":{"type":"string","description":"The value of the custom attribute as string, which can be either:\n- The text value for text type custom attributes\n- The numeric value for rating type custom attributes\n- The value of the selected possible value for select type custom attributes"}},"required":["id","createdAt","updatedAt","attribute","type","autoDetected","fromPossibleValue","text","rating","value"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."}}}}
```

## POST /partners/customer/list

> List customers

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/customer/list":{"post":{"operationId":"PartnersCustomerController_listCustomers","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomerListingParamsDto"}}}},"responses":{"201":{"description":"The customers have been successfully listed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomerListingOutput"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"List customers","tags":["Customer"]}}},"components":{"schemas":{"PartnerCustomerListingParamsDto":{"type":"object","properties":{"limit":{"type":"number","description":"Pagination limit","default":10,"minimum":1,"maximum":100},"page":{"type":"number","description":"Page to retrieve","default":1,"minimum":1}}},"PartnerCustomerListingOutput":{"type":"object","properties":{"items":{"description":"List of customers","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomer"}},"meta":{"description":"Listing metadata","allOf":[{"$ref":"#/components/schemas/PartnerListingOutputMeta"}]}},"required":["items","meta"]},"PartnerCustomer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"description":{"type":"string","nullable":true,"description":"Customer description","default":null},"company":{"type":"string","nullable":true,"description":"Customer company name","default":null},"firstName":{"type":"string","nullable":true,"description":"Customer first name","default":null},"lastName":{"type":"string","nullable":true,"description":"Customer last name","default":null},"displayName":{"type":"string","nullable":true,"description":"Customer display name\nThis is usually a concatenation of first name and last name","default":null},"language":{"nullable":true,"description":"Language preference of the customer","default":null,"allOf":[{"$ref":"#/components/schemas/FullwhereLanguage"}]},"phoneNumber":{"type":"string","nullable":true,"description":"Phone number of the customer","default":null},"email":{"type":"string","nullable":true,"description":"Email address of the customer","default":null},"emailBounced":{"type":"boolean","description":"Indicates if the customer's email has bounced"},"civility":{"type":"string","nullable":true,"description":"Civility of the customer (e.g., Mr., Ms., etc.)","default":null},"tags":{"description":"A list of tags associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerTag"}},"emailOptin":{"type":"boolean","description":"Indicates if the customer has opted in for email communications"},"smsOptin":{"type":"boolean","description":"Indicates if the customer has opted in for SMS communications"},"zenchefId":{"type":"string","nullable":true,"description":"ID of the customer in Zenchef system","default":null},"ubereatsId":{"type":"string","nullable":true,"description":"ID of the customer in UberEats system","default":null},"deliverooId":{"type":"string","nullable":true,"description":"ID of the customer in Deliveroo system","default":null},"zeltyId":{"type":"string","nullable":true,"description":"ID of the customer in Zelty system","default":null},"sevenroomsId":{"type":"string","nullable":true,"description":"ID of the customer in Sevenrooms system","default":null},"metaId":{"type":"string","nullable":true,"description":"ID of the customer in Meta system (Facebook/Instagram)","default":null},"mewsId":{"type":"string","nullable":true,"description":"ID of the customer in Mews system","default":null},"oracleId":{"type":"string","nullable":true,"description":"ID of the customer in Oracle system","default":null},"partoucheId":{"type":"string","nullable":true,"description":"ID of the customer in Partouche system","default":null},"comoId":{"type":"string","nullable":true,"description":"ID of the customer in Como system","default":null},"theForkId":{"type":"string","nullable":true,"description":"ID of the customer in TheFork system","default":null},"chr365Id":{"type":"string","nullable":true,"description":"ID of the customer in Chr365 system","default":null},"type":{"nullable":true,"description":"Type of the customer (e.g., Individual, Company, etc.)","default":null,"enum":["Unknown","Purchaser","Reviewer","Both"],"type":"string"},"feedbackCount":{"type":"number","description":"Number of feedbacks provided by the customer"},"purchaseCount":{"type":"number","description":"Number of purchases made by the customer"},"averageFeedbackRating":{"type":"string","nullable":true,"description":"Average feedback rating given by the customer","default":null},"dataSources":{"description":"Data sources associated with the customer","type":"array","items":{"$ref":"#/components/schemas/DataSource"}},"metadata":{"description":"Metadata associated with the customer","allOf":[{"$ref":"#/components/schemas/CustomerMetadatasEmbeddable"}]},"attributes":{"description":"Custom attribute values associated with the customer","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerCustomAttributeValue"}}},"required":["id","createdAt","updatedAt","description","company","firstName","lastName","displayName","phoneNumber","email","emailBounced","civility","tags","emailOptin","smsOptin","zenchefId","ubereatsId","deliverooId","zeltyId","sevenroomsId","metaId","mewsId","oracleId","partoucheId","comoId","theForkId","chr365Id","type","feedbackCount","purchaseCount","averageFeedbackRating","dataSources","metadata","attributes"]},"FullwhereLanguage":{"type":"string","enum":["af","sq","am","ar","hy","as","az","ba","eu","be","bn","bs","br","bg","my","ca","ceb","ny","zh","zh-TW","co","hr","cs","da","dv","nl","en","eo","et","fo","tl","fi","fr","fy","gl","ka","de","el","kl","gu","ht","ha","haw","he","hi","hmn","hu","is","ig","ilo","id","iu","ga","it","ja","jv","kn","kk","km","rw","ko","ku","ky","lo","la","lv","lt","lb","mk","mg","ms","ml","mt","mi","mr","arn","mn","moh","ne","no","oc","or","ps","fa","pl","pt","pa","qu","ro","ru","sm","gd","sr","st","sn","sd","si","sk","sl","so","es","su","sw","sv","tg","ta","tt","te","th","bo","tr","tk","uk","ur","ug","uz","vi","cy","xh","yi","yo","zu"],"description":"Language used to generate review responses"},"PartnerCustomerTag":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"tag":{"type":"string","description":"Tag name"},"color":{"type":"string","nullable":true,"description":"Tag hexadecimal color","default":null}},"required":["id","createdAt","updatedAt","tag","color"]},"DataSource":{"type":"string","enum":["AutoGestion","Booking","BubbleContactEmail","Como","Deliveroo","Email","Experience","Facebook","Google","Import","Instagram","Juxta","Mews","Oracle","Salesforce","SelligentPartouche","Sevenrooms","Site","Sms","Sunday","Survey","TripAdvisor","Ubereats","WhatsApp","Zelty","Zenchef","TheFork","Chr365","Expedia"],"description":"Data sources associated with the customer"},"CustomerMetadatasEmbeddable":{"type":"object","properties":{"googleMyBusiness":{"nullable":true,"description":"Google my business customer metadatas","allOf":[{"$ref":"#/components/schemas/GoogleMyBusinessCustomerMetadatasEmbeddable"}]},"zelty":{"nullable":true,"description":"Zelty customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZeltyCustomerMetadatasEmbeddable"}]},"zenchef":{"nullable":true,"description":"Zenchef customer metadatas.","allOf":[{"$ref":"#/components/schemas/ZenchefCustomerMetadatasEmbeddable"}]},"juxta":{"nullable":true,"description":"Juxta customer metadatas.","allOf":[{"$ref":"#/components/schemas/JuxtaCustomerMetadatasEmbeddable"}]},"salesforce":{"nullable":true,"description":"Salesforce customer metadatas.","allOf":[{"$ref":"#/components/schemas/SalesforceCustomerMetadatasEmbeddable"}]},"deliveroo":{"nullable":true,"desc
[...]
